@import "~sass/media";
@import '~sass/variables';
.product-tile .card {
    position: relative;
    display: -ms-flexbox;
    display: block;
    -ms-flex-direction: column;
    flex-direction: column;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 1px solid rgba(0, 0, 0, .125);
    border-radius: .25rem;
    // width: 95%;
    position: relative;
    @include for-size(mobile-lanscape) {
      margin-bottom:10px;
    }
    @include for-size(phone-only){
        border: 0px !important;
    }
}

.product-tile .card:hover {
    // box-shadow: 1px 1px 15px 3px #dcdcdc;
}

.product-tile .card-img-top {
    margin: 0 auto;
    text-align: center;
    //  width: 215px;
    //  height: 215px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    cursor: pointer;
    @media (min-width: 400px) and (max-width: 600px) {
        width: 185px !important;
        height: 185px !important;
    }
    @media (min-width: 320px) and (max-width: 400px) {
        width: 155px !important;
        height: 155px !important;
    }
}

.product-tile .card-img {
    bottom: 0;
    left: 0;
    right: 0;
    top: 0;
    margin: auto;
    //max-width: 200px;
    padding: 1vh;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 14px;
    // width: 100%;
    max-height: 100%;
}

.card-img {
    width: 100%;
    border-radius: calc(.25rem - 1px);
    // @media (min-width: 320px) and (max-width: 767px) {
    //     width: auto;
    // }

}

.product-tile .list-group-item {
    position: relative;
    display: block;
    padding: 0.05rem .5rem !important;
    background-color: #fff;
    border: none !important;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    width: 192px;
    font-size: 14px;
    color: $font-black;
    @include for-size(mobile-lanscape){
      width: 123px;
    }
    @include for-size(tablet-portrait-up){
          width: 112px;
    }
    @include for-size(tablet-landscape-up){
      width: 160px;
    }
    @media screen and (min-width: 769px) and (max-width: 800px) {
        width: 120px !important;
    }
}

.product-tile .tile-offer {
    background-color: #34a203;
    color: #fff;
    padding: .2em 0.4em;
    width: 11vh;
    font-size: .75rem;
    text-transform: uppercase;
    font-weight: bold;
    border-radius: 0 0 0.5em 0;
    z-index: 1;
    position: absolute;
}

.product-tile .tile-price {
    font-size: 1.2rem;
    font-weight: 500;
    color: #fd5b1b;
    font-size: 14px;
}

.product-tile .tile-offerprice {
    font-size: 13px;
    text-decoration: line-through;
    color: #a5a5a5;
    font-weight: 400;
    padding-left: 5px;
}

.product-tile.tile-pro-bought {
    font-size: 0.8rem;
}

.favourite-icon {
    z-index: 1;
    display: block;
    position: relative;
}

.favourite-icon-align {
    float: right;
    padding-right: 1vh;
    padding-top: 0.4vh;
    color: #e8e8e8;
    font-size: 1.2rem;
}

.favourite-icon-align:hover {
    color: #ff591b;
}

.favourite-icon-align:active {
    color: #ff591b;
}

.product-tile .tile-row {
    margin: auto;
    justify-content: center;
    // border-top: 1px solid #dcdcdc;
    line-height: 3.5;

}

i.fa {
    display: inline-block;
    border-radius: 60px;
    box-shadow: 0px 0px 2px #888;
    padding: 0.6em 0.6em;
}

.product-tile .tile-icons {
    padding: 0 0.25vw;
    cursor: pointer;
}

.product-tile .tile-icons:hover {
    color: $primary-color;
}

.tile-icons-active {
        color: $primary-color;
}


@include for-size(phone-only) {
  .product-tile .list-group-item {
    width: 100%;
  }
//   .product-tile {
//       margin-bottom: 2vh;
//   }
  .product-tile .tile-row {
      line-height: 4.5;
  }
  .product-tile .tile-icons {
      padding: 0 1.25vw;
  }
  i.fa{
      padding: 1rem;
  }
}

@include for-size(tablet-portrait-up) {
.product-tile .tile-icons {
    padding: 4px !important;
    font-size: 0.8rem;
}

.product-tile .list-group-item {
    font-size: 13px;
}
.product-tile .tile-price {
    font-size: 13px;
}
.product-tile .tile-offerprice {
    font-size: 11px;
}
}


.ribbon {
    position: absolute;
    left: -5px; top: -5px;
    z-index: 1;
    overflow: hidden;
    width: 75px; height: 75px;
    text-align: right;
  }
  .ribbon span {
    font-size: 10px;
    font-weight: 500;
    color: #FFF;
    text-transform: uppercase;
    text-align: center;
    line-height: 20px;
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    width: 100px;
    display: block;
    background: #FF5722;
    box-shadow: 0 3px 10px -5px black;
    position: absolute;
    top: 19px;
    left: -21px;
  }
  .ribbon span::before {
    content: "";
    position: absolute; left: 0px; top: 100%;
    z-index: -1;
    border-left: 3px solid #D69702;
    border-right: 3px solid transparent;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #D69702;
  }
  .ribbon span::after {
    content: "";
    position: absolute; right: 0px; top: 100%;
    z-index: -1;
    border-left: 3px solid transparent;
    border-right: 3px solid #D69702;
    border-bottom: 3px solid transparent;
    border-top: 3px solid #D69702;
  }

  .tile-icons-disable {
    i.fa {
    color: #d4d4d4;
    cursor: default;
}
}
@include for-size(phone-only){
    .mobile-hide{
        display: none;
    }
}